body {
  color: var(--text-color);
}

.banner-about {
  & {
    display: flex;
    flex-direction: column;
    padding: 10vh 15vw;
    min-height: 70vh;
    box-sizing: border-box;

    background-image: linear-gradient(#001a3b69 60%, #ffffff20),
      url("https://www.brandtbil.se/wp-content/uploads/bil-pa-vag-genom-skog.jpg.webp");
    background-size: cover;
    background-position: center;
    color: var(--alt-text-color);
  }

  .banner-title-container {
    & {
      margin-top: auto;
      margin-bottom: auto;
    }
    &:has(> h1) {
      & > * {
        transform: translateY(calc(var(--banner-title-fontsize) / 2 * -1));
      }
    }
    & > h1 {
      & {
        text-align: center;
        font-size: var(--banner-title-fontsize);
        position: relative;
        width: max-content;
        margin: 0 auto;
        margin-bottom: 0.25em;

        backdrop-filter: blur(4px);
        -webkit-backdrop-filter: blur(4px);
        background-color: rgba(0, 0, 0, 0.1);
      }

      &::before {
        content: "- Hur vi behandlar din -";
        width: max-content;
        font-size: 1.25rem;
        position: absolute;
        top: -0.75em;
        left: 50%;
        transform: translateX(-50%);
        background-color: rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(4px);
        -webkit-backdrop-filter: blur(4px);
      }
    }
    & > p {
      max-width: 100%;
      width: 96ch;
      margin: 0 auto;
      font-weight: 300;
      font-size: var(--banner-text-fontsize);

      backdrop-filter: blur(4px);
      -webkit-backdrop-filter: blur(4px);
      background-color: rgba(0, 0, 0, 0.1);
    }
    & > p:not(:last-of-type) {
      margin-bottom: 0.5em;
    }
  }
}

.privacy-wrapper {
  & {
    width: 96ch;
    max-width: 100%;
    margin: 0 auto;
    padding: 4rem 5vw;
    box-sizing: border-box;
  }

  & a {
    text-decoration: underline;
  }

  & > h2 {
    font-size: 1.5rem;
    font-weight: 400;
    margin-bottom: 0.5rem;

    &:not(:first-child) {
      margin-top: 2rem;
    }
  }
  & p,
  li {
    font-weight: 300;
  }

  & p {
    margin-bottom: 1.5em;
    font-size: 1.15rem;
  }
  & li {
    & {
      font-size: 1rem;
      margin-bottom: 1em;
      list-style-type: circle;
      display: list-item;
      margin-left: 2em;
      border-left: 1px dashed var(--shadow);
      padding-left: 0.5em;
      border-spacing: 2em;
    }
    &::marker {
      content: "\\\\ ";
      margin-right: 1em;
    }
  }
}

@media only screen and (max-width: 600px) {
  .banner-about {
    & {
      padding: 10vh 5vw;
    }

    .banner-title-container {
      & {
        margin-top: unset;
        margin-bottom: 2rem;
      }
      &:has(> h1) {
        & > * {
          transform: translateY(0);
        }
      }

      & > h1 {
        font-size: 2.5rem;
        text-align: center;
        margin-bottom: 2rem;
        margin-top: 1rem;
        &::before {
          top: -1em;
        }
      }

      & > p {
        max-width: 100%;
        /* text-align: center; */
        font-size: 1.15rem;
      }
    }
  }


  .privacy-wrapper {
    & li {
      & {
        margin-left: 1em;
      }
    }
  }
}
